# update_kernel_and_kernel_size_for_active_boot_switch_1.sh


# preitinger
# Script fuer das TARGET (sprich Board oder Drucker)
# Voraussetzung ist:  my_boot_switch 1 und my_kernel_num=8
# loescht mtd8, flasht Image in $1 auf mtd8 und schreibt Groesse von $1 in die Variablen my_kernel_size und my_kernel1_size

img=$1

if [ "$img" = "" ]
then
	echo "usage: $0 <uImage>"
	exit 1
fi

stat -L -c "%s" $img

size=$(printf '%x' $(stat -L -c "%s" $img))
echo "size is $size"

flash_erase /dev/mtd8 0 0 &&
nandwrite -p /dev/mtd8 ${img} &&
printf "my_kernel1_size $size\nmy_kernel_size $size\nboot_os 0\n" >/tmp/_fw_script.txt &&
fw_setenv -s /tmp/_fw_script.txt

